Subject: Re: simplify configfs attributes

From: Andrzej Pietrasiewicz <[email-masked]>
Date: Mon, 28 Sep 2015 14:12:43 +0200

Hi Christoph,

W dniu 25.09.2015 o 15:49, Christoph Hellwig pisze:
> This series consolidates the code to implement configfs attributes
> by providing the ->show and ->store method in common code and using
> container_of in the methods to access the containing structure.
>
> This reduces source and binary size of configfs consumers a lot.
>

Thank you for this series. It is definitely the way to go.
I reviewed it as far as the configfs consumers which I wrote
or have experience with are concerned. There are some minor
issues which you perhaps can call nitpicks. In the last patch
(23/23) I think you meant something different when changing
the documentation - please see my response to that patch.

But otherwise this series is very welcome.

AP